Bug 20827 - Can't add owner to a fund
Summary: Can't add owner to a fund
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-28 11:32 UTC by Katrin Fischer
Modified: 2018-06-07 08:14 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20827: Display Fund's owner name when selected (1.83 KB, patch)
2018-05-28 14:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20827: Display Fund's owner name when selected (1.88 KB, patch)
2018-05-28 18:59 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20827: Display Fund's owner name when selected (1.93 KB, patch)
2018-05-28 20:13 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-05-28 11:32:57 UTC
When selecting a patron to add as an owner to a acquisition fund, nothing happens.

To test.
- Create a fund
- Click 'select owner'
- Search for a patron
- Click 'select'

-> nothing happens, the owner is not added to the fund.

Adding users works as expected.

Tested with 17.11.06.
Comment 1 Jonathan Druart 2018-05-28 14:42:58 UTC
Created attachment 75593 [details] [review]
Bug 20827: Display Fund's owner name when selected

When a fund is created or edited and does not have a owner yet, the
name of the patron will not be displayed when selected.

The HTML element the JS code expects is not present in the DOM.

Test plan:
- Create a fund, set a owner
- remove the owner, edit, etc.
- Save
- Edit again
Make sure it works as expected.
Comment 2 M. Tompsett 2018-05-28 18:59:06 UTC
Created attachment 75601 [details] [review]
Bug 20827: Display Fund's owner name when selected

When a fund is created or edited and does not have a owner yet, the
name of the patron will not be displayed when selected.

The HTML element the JS code expects is not present in the DOM.

Test plan:
- Create a fund, set a owner
- remove the owner, edit, etc.
- Save
- Edit again
Make sure it works as expected.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Katrin Fischer 2018-05-28 20:13:03 UTC
Created attachment 75609 [details] [review]
Bug 20827: Display Fund's owner name when selected

When a fund is created or edited and does not have a owner yet, the
name of the patron will not be displayed when selected.

The HTML element the JS code expects is not present in the DOM.

Test plan:
- Create a fund, set a owner
- remove the owner, edit, etc.
- Save
- Edit again
Make sure it works as expected.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2018-05-29 14:37:15 UTC
Pushed to master for 18.11.

Awesome work all, thank you.
Comment 5 Martin Renvoize 2018-06-05 10:06:22 UTC
This patch has been pushed to 18.05.x and will be in 18.05.01
Comment 6 Fridolin SOMERS 2018-06-06 10:17:55 UTC
Pushed to 17.11.x for 17.11.07
Comment 7 Fridolin SOMERS 2018-06-06 10:18:41 UTC
(In reply to Fridolin SOMERS from comment #6)
> Pushed to 17.11.x for 17.11.07

JS has moved inside TT file so I manually corrected the missing ";"
Comment 8 Fridolin SOMERS 2018-06-07 08:14:14 UTC
Pushed to 17.05.x for 17.05.13